Exponential 6.0.13 Exponential Enterprise Open Source CMS - PHP Class Reference

Public Member Functions | Protected Attributes | List of all members
eZFileExtensionBlackListValidator Class Reference

The class eZFileExtensionBlackListValidator validates file extensions based on a blacklist. More...

Inheritance diagram for eZFileExtensionBlackListValidator:

## Public Member Functions
| __construct ()
| validate ( $filename)
| extensionsBlackList ()
Public Member Functions inherited from eZInputValidator
| fixup ( $text)

## Protected Attributes
| $constraints

## Additional Inherited Members
Public Attributes inherited from eZInputValidator
const | STATE_ACCEPTED = 1
const | STATE_INTERMEDIATE = 2
const | STATE_INVALID = 3

## Detailed Description

The class eZFileExtensionBlackListValidator validates file extensions based on a blacklist.

Definition at line 16 of file ezfileextensionblacklistvalidator.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZFileExtensionBlackListValidator::__construct | ( |  | ) |

Constructor

Definition at line 21 of file ezfileextensionblacklistvalidator.php.

## Member Function Documentation

## ◆ extensionsBlackList()

eZFileExtensionBlackListValidator::extensionsBlackList | ( |  | ) |

Return the list of blacklisted file extensions.

Definition at line 47 of file ezfileextensionblacklistvalidator.php.

## ◆ validate()

eZFileExtensionBlackListValidator::validate | ( |  | $filename | ) |

Tries to validate to the filename $filename and returns one of the validator states eZInputValidator::STATE_ACCEPTED, eZInputValidator::STATE_INTERMEDIATE or eZInputValidator::STATE_INVALID.

Reimplemented from eZInputValidator.

Definition at line 32 of file ezfileextensionblacklistvalidator.php.

References eZInputValidator\STATE_ACCEPTED, and eZInputValidator\STATE_INVALID.

## Member Data Documentation

## ◆ $constraints

eZFileExtensionBlackListValidator::$constraints
| protected

Initial value:
= array(
'extensionsBlackList' => array(),
)

Definition at line 53 of file ezfileextensionblacklistvalidator.php.

The documentation for this class was generated from the following file:

- ezfileextensionblacklistvalidator.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.